from enum import Enum


REGIONS = {
    "items": [
        {"id": "01000000", "name": "Алтайский край"},
        {"id": "10000000", "name": "Амурская область"},
        {"id": "11000000", "name": "Архангельская область"},
        {"id": "12000000", "name": "Астраханская область"},
        {"id": "14000000", "name": "Белгородская область"},
        {"id": "15000000", "name": "Брянская область"},
        {"id": "17000000", "name": "Владимирская область"},
        {"id": "18000000", "name": "Волгоградская область"},
        {"id": "19000000", "name": "Вологодская область"},
        {"id": "20000000", "name": "Воронежская область"},
        {"id": "55000000", "name": "Город и космодром Байконур"},
        {"id": "21000000", "name": "Донецкая Народная Республика"},
        {"id": "99000000", "name": "Еврейская автономная область"},
        {"id": "76000000", "name": "Забайкальский край"},
        {"id": "23000000", "name": "Запорожская область"},
        {"id": "24000000", "name": "Ивановская область"},
        {"id": "25000000", "name": "Иркутская область"},
        {"id": "83000000", "name": "Кабардино-Балкарская Республика"},
        {"id": "27000000", "name": "Калининградская область"},
        {"id": "29000000", "name": "Калужская область"},
        {"id": "30000000", "name": "Камчатский край"},
        {"id": "91000000", "name": "Карачаево-Черкесская Республика"},
        {"id": "32000000", "name": "Кемеровская область-Кузбасс"},
        {"id": "33000000", "name": "Кировская область"},
        {"id": "34000000", "name": "Костромская область"},
        {"id": "03000000", "name": "Краснодарский край"},
        {"id": "04000000", "name": "Красноярский край"},
        {"id": "37000000", "name": "Курганская область"},
        {"id": "38000000", "name": "Курская область"},
        {"id": "41000000", "name": "Ленинградская область"},
        {"id": "42000000", "name": "Липецкая область"},
        {"id": "43000000", "name": "Луганская Народная Республика"},
        {"id": "44000000", "name": "Магаданская область"},
        {"id": "45000000", "name": "Москва"},
        {"id": "46000000", "name": "Московская область"},
        {"id": "47000000", "name": "Мурманская область"},
        {"id": "11800000", "name": "Ненецкий автономный округ"},
        {"id": "22000000", "name": "Нижегородская область"},
        {"id": "49000000", "name": "Новгородская область"},
        {"id": "50000000", "name": "Новосибирская область"},
        {"id": "52000000", "name": "Омская область"},
        {"id": "53000000", "name": "Оренбургская область"},
        {"id": "54000000", "name": "Орловская область"},
        {"id": "56000000", "name": "Пензенская область"},
        {"id": "57000000", "name": "Пермский край"},
        {"id": "05000000", "name": "Приморский край"},
        {"id": "58000000", "name": "Псковская область"},
        {"id": "79000000", "name": "Республика Адыгея"},
        {"id": "84000000", "name": "Республика Алтай"},
        {"id": "80000000", "name": "Республика Башкортостан"},
        {"id": "81000000", "name": "Республика Бурятия"},
        {"id": "82000000", "name": "Республика Дагестан"},
        {"id": "26000000", "name": "Республика Ингушетия"},
        {"id": "85000000", "name": "Республика Калмыкия"},
        {"id": "86000000", "name": "Республика Карелия"},
        {"id": "87000000", "name": "Республика Коми"},
        {"id": "35000000", "name": "Республика Крым"},
        {"id": "88000000", "name": "Республика Марий Эл"},
        {"id": "89000000", "name": "Республика Мордовия"},
        {"id": "98000000", "name": "Республика Саха (Якутия)"},
        {"id": "90000000", "name": "Республика Северная Осетия-Алания"},
        {"id": "92000000", "name": "Республика Татарстан"},
        {"id": "93000000", "name": "Республика Тыва"},
        {"id": "95000000", "name": "Республика Хакасия"},
        {"id": "60000000", "name": "Ростовская область"},
        {"id": "61000000", "name": "Рязанская область"},
        {"id": "36000000", "name": "Самарская область"},
        {"id": "40000000", "name": "Санкт-Петербург"},
        {"id": "63000000", "name": "Саратовская область"},
        {"id": "64000000", "name": "Сахалинская область"},
        {"id": "65000000", "name": "Свердловская область"},
        {"id": "67000000", "name": "Севастополь"},
        {"id": "66000000", "name": "Смоленская область"},
        {"id": "07000000", "name": "Ставропольский край"},
        {"id": "68000000", "name": "Тамбовская область"},
        {"id": "28000000", "name": "Тверская область"},
        {"id": "69000000", "name": "Томская область"},
        {"id": "70000000", "name": "Тульская область"},
        {"id": "71000000", "name": "Тюменская область"},
        {"id": "94000000", "name": "Удмуртская Республика"},
        {"id": "73000000", "name": "Ульяновская область"},
        {"id": "03731000", "name": "Федеральная территория «Сириус»"},
        {"id": "08000000", "name": "Хабаровский край"},
        {"id": "71800000", "name": "Ханты-Мансийский автономный округ — Югра"},
        {"id": "74000000", "name": "Херсонская область"},
        {"id": "75000000", "name": "Челябинская область"},
        {"id": "96000000", "name": "Чеченская Республика"},
        {"id": "97000000", "name": "Чувашская Республика"},
        {"id": "77000000", "name": "Чукотский автономный округ"},
        {"id": "71900000", "name": "Ямало-Ненецкий автономный округ"},
        {"id": "78000000", "name": "Ярославская область"},
    ],
    "allCount": 91,
    "unavailable": [],
    "unavailableCount": 0,
}


class CancelType(Enum):
    refund = "Возврат средств"
    mistake = "Чек сформирован ошибочно"
